import React, { useEffect, useState } from 'react';
import { TouchableOpacity, View } from 'react-native';
import { colors } from '../../../constant/theme';
import { Icon } from '../../Atoms';
import { TextInputIcon } from '../Input';
import Header from './Header';
import { styles } from './header.style';

const HeaderSearch = _ref => {
  let {
    noShadow,
    style,
    onPress,
    onChangeVal,
    iconColor,
    placeholder = 'Search here'
  } = _ref;
  const [searchVal, setSearchVal] = useState('');
  useEffect(() => {
    if (searchVal) {
      onChangeVal ? onChangeVal(searchVal) : null;
    }
  }, [searchVal]);
  return /*#__PURE__*/React.createElement(Header, {
    noShadow: noShadow,
    style: style
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.headerSearch
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress
  }, /*#__PURE__*/React.createElement(Icon, {
    name: "arrow-left",
    color: iconColor ? iconColor : colors.grey.black,
    size: 20
  })), /*#__PURE__*/React.createElement(TextInputIcon, {
    style: styles.searchInput,
    placeholder: placeholder,
    onChangeText: val => setSearchVal(val),
    value: searchVal
  })));
};

export default HeaderSearch;
//# sourceMappingURL=HeaderSearch.js.map