import React, { useEffect, useState } from 'react';
import { TouchableOpacity, View } from 'react-native';
import { colors } from '../../../constant/theme';
import { Icon } from '../../Atoms';
import { TextInputIcon } from '../Input';
import Header from './Header';
import { styles } from './header.style';

const HeaderSearch = ({
  noShadow,
  style,
  onPress,
  onChangeVal,
  iconColor,
  placeholder = 'Search here',
}) => {
  const [searchVal, setSearchVal] = useState('');

  useEffect(() => {
    if (searchVal) {
      onChangeVal ? onChangeVal(searchVal) : null;
    }
  }, [searchVal]);

  return (
    <Header noShadow={noShadow} style={style}>
      <View style={styles.headerSearch}>
        <TouchableOpacity onPress={onPress}>
          <Icon
            name="arrow-left"
            color={iconColor ? iconColor : colors.grey.black}
            size={20}
          />
        </TouchableOpacity>
        <TextInputIcon
          style={styles.searchInput}
          placeholder={placeholder}
          onChangeText={(val) => setSearchVal(val)}
          value={searchVal}
        />
      </View>
    </Header>
  );
};

export default HeaderSearch;
