import { View, Text, TextInput, TouchableOpacity } from 'react-native';
import React, { useEffect, useState } from 'react';
import { Fonts, width } from '../../../constant/theme';
import { styles } from './input.style';
import { Icon } from '../../Atoms';

const TextInputIcon = ({
  inputStyle,
  onChangeText,
  value,
  right,
  style,
  ...props
}) => {
  const [tempValue, setTempValue] = useState('');

  useEffect(() => {
    setTempValue(value);
  }, [value]);

  useEffect(() => {
    if (tempValue) {
      onChangeText(tempValue);
    }
  }, [tempValue]);

  return (
    <View style={[styles.content, { paddingHorizontal: width * 0.02 }, style]}>
      <Icon name="chevron-left" size={25} />
      <TextInput
        {...props}
        style={[
          Fonts.regular,
          Fonts.small,
          styles.formInput,
          { width: '95%' },
          inputStyle,
        ]}
        value={tempValue}
        onChangeText={(val) => {
          setTempValue(val);
        }}
        underlineColorAndroid="transparent"
      />
      {tempValue ? (
        <TouchableOpacity onPress={_clearText}>
          <Icon name="chevron-left" size={25} />
        </TouchableOpacity>
      ) : null}
    </View>
  );

  function _clearText() {
    setTempValue('');
  }
};

export default TextInputIcon;
