import { keys } from 'lodash';
import { Images } from './assets/images';
import { Icons } from './assets/icons';
import { lottie } from './assets/lottie';
import { Icon, LottieView, Text, Countdown } from './Components/Atoms';
import SafeAreaViewWrapper from './Components/SafeAreaViewWrapper';

export * from './Components/Molecules';
export * from './Components/Organisms';
export * from './constant/theme';
export {
  Text,
  Icon,
  LottieView,
  SafeAreaViewWrapper,
  Icons,
  Images,
  Countdown,
};
export { mapPropsToStyleNames };

// assets-images
export { brand, stocks, bottomSplash, bottomBg1, bottomBg2 };

// assets-lottie
export { loading };

const { brand, stocks, bottomSplash, bottomBg1, bottomBg2 } = Images;

const { loading } = lottie;

const mapPropsToStyleNames = (styleNames, props) => keys(props);
